## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libheif-sys
%global crate_version 4.1.0+1.19.8

Name:           rust-libheif-sys
Version:        4.1.0
Release:        %autorelease
Summary:        Libheif bindings

License:        MIT
URL:            https://crates.io/crates/libheif-sys
Source:         %{crates_source %{crate} %{crate_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          libheif-sys-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(libheif) >= 1.16

%global _description %{expand:
Libheif bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libheif) >= 1.16

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/dev.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+latest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+latest-devel %{_description}

This package contains library source intended for building other packages which
use the "latest" feature of the "%{crate}" crate.

%files       -n %{name}+latest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "use-bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+use-bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_17-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_17-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_17" feature of the "%{crate}" crate.

%files       -n %{name}+v1_17-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_18" feature of the "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_19-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_19-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_19" feature of the "%{crate}" crate.

%files       -n %{name}+v1_19-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
%cargo_prep
# drop vendored copy of libbeif
rm -rf vendor/

%generate_buildrequires
%cargo_generate_buildrequires -f v1_17

%build
%cargo_build -f v1_17

%install
%cargo_install -f v1_17

%if %{with check}
%check
# * skip a test that expects a an exact libheif version
%cargo_test -f v1_17 -- -- --skip create_heic_context
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Fabio Valentini <decathorpe@gmail.com> - 4.1.0-1
- Update to version 4.1.0+1.19.8; Fixes RHBZ#2324376

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 2.2.0-1
- Update to version 2.2.0+1.17.6

* Sun Dec 01 2024 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-3
- Do not unconditionally regenerate bindings with bindgen

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0+1.17.4; Fixes RHBZ#2238087

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 10 2023 Kalev Lember <klember@redhat.com> - 1.16.2-1
- Update to 1.16.2

* Thu Aug 24 2023 Fabio Valentini <decathorpe@gmail.com> - 1.16.1-2
- Unconditionally regenerate bindings with bindgen

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 1.16.1-1
- Initial Fedora packaging (rhbz#2233796)
## END: Generated by rpmautospec
